Bug 1619450 (CVE-2018-14624)

Summary: CVE-2018-14624 389-ds-base: Server crash through modify command with large DN
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, dmoppert, mhonek, mreynolds, nkinder, rmeggins, security-response-team, sfowler, sparks, spichugi, tbordaz, vashirov
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180831:0036,reported=20180820,source=redhat,cvss3=7.5/CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H,cwe=CWE-20,fedora-all/389-ds-base=affected,rhel-8/389-ds-base=notaffected,rhel-7/389-ds-base=affected,rhel-6/389-ds-base=wontfix
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in 389-ds-base. The lock controlling the error log was not correctly used when re-opening the log file in log__error_emergency(). An attacker could send a flood of modifications to a very large DN, which would cause slapd to crash.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-18 18:07:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1614820, 1623247, 1623721, 1624196, 1624198    
Bug Blocks: 1619452, 1621943    
Attachments:
Description Flags
patch for crash in vslapd_log_emergency_error none

Description Pedro Sampaio 2018-08-20 21:13:03 UTC
A flaw was found in 389-ds-base. The server can be crashed by an anonymous client through a ldapmodify command with a large DN argument potentially causing denial of service.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=1614820

Comment 1 Sam Fowler 2018-08-27 00:15:30 UTC
*** Bug 1621942 has been marked as a duplicate of this bug. ***

Comment 8 Doran Moppert 2018-08-31 00:40:54 UTC
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1624198]

Comment 9 Salvatore Bonaccorso 2018-09-01 20:38:43 UTC
Hi

Since https://bugzilla.redhat.com/show_bug.cgi?id=1621942 is not accessible/restricted, could you share more information on this issue? (CVE-2018-14624). Which upstream versions are affected, and is there a fix for the issue?

Regards,
Salvatore

Comment 10 Doran Moppert 2018-09-04 04:30 UTC
Created attachment 1480666 [details]
patch for crash in vslapd_log_emergency_error

Adding patch here since it hasn't made its way upstream yet.

Comment 13 Salvatore Bonaccorso 2018-09-07 20:22:42 UTC
Doran and Sam: thank you

Comment 14 errata-xmlrpc 2018-09-25 19:05:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2757 https://access.redhat.com/errata/RHSA-2018:2757